/**
 * Created by ztt on 2019/4/7.
 */
export declare class NumberUtils {
    static isNumber(num: any): boolean;
    /**
     * 随机生成一组整数值
     * @param max：最大值，默认为10
     * @param min：最小值，默认为0
     * @param number：个数，默认为1
     */
    static randomInt({ max, min, number }?: {
        max?: number | undefined;
        min?: number | undefined;
        number?: number | undefined;
    }): number | number[];
    /**
     * 随机生成一组Float类型的数值
     * @param max：最大值，默认为10
     * @param min：最小值，默认为0
     * @param number：个数，默认为1
     * @param scale：个数，默认为2
     */
    static randomFloat({ max, min, number, scale }?: {
        max?: number | undefined;
        min?: number | undefined;
        number?: number | undefined;
        scale?: number | undefined;
    }): number | number[];
}
//# sourceMappingURL=number-utils.d.ts.map